\documentclass{standalone}
\usepackage[siunitx]{circuitikz}
\usetikzlibrary{calc}
\begin{document}
\begin{tikzpicture}
  \coordinate (N) at (0,0);
  \coordinate (X) at (90:2);
  \coordinate (Y) at (-30:2);
  \coordinate (Z) at (210:2);
  \coordinate (Zout) at ($(Z)+(0,-1)$);

  % vertical line containing all out points
  \coordinate (out) at (3,5);

  \node at (N) [above left] {N};
  \draw (N) to[L,*-*] (X) node [left] {X} [-Circle] -- (out |- X);
  \draw (N) to[L,*-*] (Y) node [above] {Y} [-Circle] -- (out |- Y);
  \draw (N) to[L,*-*] (Z) node [above] {Z} [-Circle] |- (out |- Zout);

  % numbers inside circles
  \node at (X) [circle,inner sep=1pt,draw,above=4mm] {1};
  \node at (Y) [circle,inner sep=1pt,draw,below=4mm,right] {2};
  \node at (Z) [circle,inner sep=1pt,draw,below=4mm,left=1mm] {3};
  
\end{tikzpicture}
\end{document}
